﻿BR16KCreateBaleEvent = {};
BR16KCreateBaleEvent_mt = Class(BR16KCreateBaleEvent, Event);

InitStaticEventClass(BR16KCreateBaleEvent, "BR16KCreateBaleEvent", EventIds.EVENT_BALER_CREATE_BALE);

function  BR16KCreateBaleEvent:emptyNew()
    local self = Event:new(BR16KCreateBaleEvent_mt);
    self.className="BR16KCreateBaleEvent";
    return self;
end;

function BR16KCreateBaleEvent:new(object, usedFruitType, baleTime)
    local self = BR16KCreateBaleEvent:emptyNew()
    self.usedFruitType = usedFruitType;
    self.baleTime = baleTime;
    self.object = object;
    return self;
end;

function BR16KCreateBaleEvent:readStream(streamId, connection)
    self.object = networkGetObject(streamReadInt32(streamId));
    self.usedFruitType = streamReadInt8(streamId);
    self.baleTime = streamReadFloat32(streamId);
    self:run(connection);
end;

function BR16KCreateBaleEvent:writeStream(streamId, connection)
    streamWriteInt32(streamId, networkGetObjectId(self.object));
    streamWriteInt8(streamId, self.usedFruitType);
    streamWriteFloat32(streamId, self.baleTime);
end;

function BR16KCreateBaleEvent:run(connection)
    --Baler.createBale(self.object, self.usedFruitType);
    --Baler.setBaleTime(self.object, table.getn(self.object.bales), self.baleTime);
end;